package org.apache.commons.lang3;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.lang.annotation.Annotation;
import org.apache.commons.lang3.AnnotationUtils;
import org.apache.commons.lang3.ClassUtils;
import org.apache.commons.lang3.builder.ToStringStyle;

final class null extends ToStringStyle {
  private static final long serialVersionUID = 1L;
  
  null() {
    setDefaultFullDetail(true);
    setArrayContentDetail(true);
    setUseClassName(true);
    setUseShortClassName(true);
    setUseIdentityHashCode(false);
    setContentStart("(");
    setContentEnd(")");
    setFieldSeparator(", ");
    setArrayStart("[");
    setArrayEnd("]");
  }
  
  protected String getShortClassName(Class<?> cls) {
    for (Class<?> iface : (Iterable<Class<?>>)ClassUtils.getAllInterfaces(cls)) {
      if (Annotation.class.isAssignableFrom(iface))
        return "@" + iface.getName(); 
    } 
    return "";
  }
  
  protected void appendDetail(StringBuffer buffer, String fieldName, Object value) {
    if (value instanceof Annotation)
      value = AnnotationUtils.toString((Annotation)value); 
    super.appendDetail(buffer, fieldName, value);
  }
}
